Skip to main content
GET
/
v1
/
refunds
List refunds
curl --request GET \
  --url https://api.plane.com/v1/refunds \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://api.plane.com/v1/refunds"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://api.plane.com/v1/refunds', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "refunds": [
    {
      "id": "re_1PqJvEf9iWm3mK7P2fZp9Qxc",
      "date": "2025-08-15",
      "amount": "1000.00",
      "currency": "USD",
      "reference": "RF-2025-0815",
      "note": "Cancelled contractor payment",
      "status": "succeeded",
      "source": "src_4a8S6Cm7qN9xL2eP",
      "entity": "ent_7Vu2fTc0bL3kQ9mR"
    }
  ]
}

Parameters

status
string
Only return refunds in the given status.
limit
number
A limit on the number of objects to be returned. Limit can range between 1 and 100, and the default is 10.
starting_after
string
A cursor for use in pagination. starting_after is an object ID that defines your place in the list.
ending_before
string
A cursor for use in pagination. ending_before is an object ID that defines your place in the list.

Returns

A dictionary with a refunds property that contains an array of Refund objects.
{
  "refunds": [
    {
      "id": "re_1PqJvEf9iWm3mK7P2fZp9Qxc",
      "date": "2025-08-15",
      "amount": "1000.00",
      "currency": "USD",
      "reference": "RF-2025-0815",
      "note": "Cancelled contractor payment",
      "status": "succeeded",
      "source": "src_4a8S6Cm7qN9xL2eP",
      "entity": "ent_7Vu2fTc0bL3kQ9mR"
    }
  ]
}